# I love OpenSource :-(

%define name madwifi
%define version 0.9.3.2
%define mdkrelease 2
%define release %mkrel %{mdkrelease}

Summary:	Multiband Atheros Driver for WiFi (MADWIFI) support.
Name:		%{name}
Epoch:  	1
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0: 	madwifi-20050829-x86_64-rules.patch
License:	BSD or GPLv2
Url:		http://sourceforge.net/projects/madwifi
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}
Requires:	drakxtools >= 9.2-8mdk
BuildRequires:	sharutils kernel-source

%description -n %{name}
Multiband Atheros Driver for WiFi (MADWIFI): 
Linux driver for 802.11a/b/g universal NIC cards Cardbus, PCI, or miniPCI
using Atheros chip sets. See also: 
 http://www.mattfoster.clara.co.uk/madwifi-faq.htm, 
 http://madwifiwiki.thewebhost.de/wiki/

%package -n dkms-%{name}
Summary:	Multiband Atheros Driver for WiFi (MADWIFI) dkms driver.
Group:		System/Kernel and hardware
Requires:	dkms, drakxtools >= 9.2-8mdk

%description -n dkms-%{name}
Multiband Atheros Driver for WiFi (MADWIFI): 
Linux driver for 802.11a/b/g universal NIC cards Cardbus, PCI, or miniPCI
using Atheros chip sets. See also: 
 http://www.mattfoster.clara.co.uk/madwifi-faq.htm, 
 http://madwifiwiki.thewebhost.de/wiki/

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .x86_64-rules

%build
%make -C tools

%install
rm -rf $RPM_BUILD_ROOT
cd $RPM_BUILD_DIR/%{name}-%{version}

# driver source
mkdir -p $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{version}-%{release}
cp -r * $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{version}-%{release}
cat > $RPM_BUILD_ROOT/%{_usr}/src/%{name}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME=%{name}
PACKAGE_VERSION=%{version}-%{release}

DEST_MODULE_LOCATION[0]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[1]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[2]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[3]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[4]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[5]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[6]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[7]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[8]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[9]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[10]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[11]=/kernel/drivers/net/wireless
DEST_MODULE_LOCATION[12]=/kernel/drivers/net/wireless
BUILT_MODULE_NAME[0]=ath_pci
BUILT_MODULE_LOCATION[0]=ath
BUILT_MODULE_NAME[1]=ath_hal
BUILT_MODULE_LOCATION[1]=ath_hal
BUILT_MODULE_NAME[2]=wlan
BUILT_MODULE_LOCATION[2]=net80211
BUILT_MODULE_NAME[3]=wlan_wep
BUILT_MODULE_LOCATION[3]=net80211
BUILT_MODULE_NAME[4]=wlan_tkip
BUILT_MODULE_LOCATION[4]=net80211
BUILT_MODULE_NAME[5]=wlan_ccmp
BUILT_MODULE_LOCATION[5]=net80211
BUILT_MODULE_NAME[6]=wlan_xauth
BUILT_MODULE_LOCATION[6]=net80211
BUILT_MODULE_NAME[7]=wlan_acl
BUILT_MODULE_LOCATION[7]=net80211
BUILT_MODULE_NAME[8]=wlan_scan_ap
BUILT_MODULE_LOCATION[8]=net80211
BUILT_MODULE_NAME[9]=wlan_scan_sta
BUILT_MODULE_LOCATION[9]=net80211
BUILT_MODULE_NAME[10]=ath_rate_amrr
BUILT_MODULE_LOCATION[10]=ath_rate/amrr
BUILT_MODULE_NAME[11]=ath_rate_onoe
BUILT_MODULE_LOCATION[11]=ath_rate/onoe
BUILT_MODULE_NAME[12]=ath_rate_sample
BUILT_MODULE_LOCATION[12]=ath_rate/sample

MAKE[0]="make KERNELPATH=\${kernel_source_dir} TARGET=%{_arch}-elf modules"

AUTOINSTALL=yes
EOF

# utils 
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
%makeinstall -C tools DESTDIR=$RPM_BUILD_ROOT BINDIR=%{_bindir} MANDIR=%{_mandir}

%post -n dkms-%{name}
/usr/sbin/dkms --rpm_safe_upgrade add -m %name -v %version-%release
/usr/sbin/dkms --rpm_safe_upgrade build -m %name -v %version-%release
/usr/sbin/dkms --rpm_safe_upgrade install -m %name -v %version-%release --force
exit 0

%preun -n dkms-%{name}
/usr/sbin/dkms --rpm_safe_upgrade remove -m %name -v %version-%release --all
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT README
%{_bindir}/*
%{_mandir}/man*/*

%files -n dkms-%{name}
%defattr(-,root,root)
%doc COPYRIGHT README
%dir %{_usr}/src/%{name}-%{version}-%{release}
%{_usr}/src/%{name}-%{version}-%{release}/*


%changelog
* Wed Aug 22 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:0.9.3.2-2mdv2008.0
+ Revision: 69070
- Small cleanups.
- Allow safe updates: use release, always exit with successful status,
  and use --force with dkms install (see #28599).
- Don't clean builddir on clean section.

* Tue Aug 21 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:0.9.3.2-1mdv2008.0
+ Revision: 68427
- Added epoch to allow update from old 0.20050829-3mdk x86_64 package.

  + Funda Wang <fundawang@mandriva.org>
    - New versin 0.9.3.2

  + Adam Williamson <awilliamson@mandriva.com>
    - update doc file list for dkms package
    - correct license (dual BSD and GPLv2)

* Sat Jun 23 2007 Emmanuel Andry <eandry@mandriva.org> 0.9.3.1-1mdv2008.0
+ Revision: 43483
- New version (security fixes)
- uncompress patch

* Mon May 21 2007 Olivier Blin <oblin@mandriva.com> 0.9.3-1mdv2008.0
+ Revision: 29365
- remove hardcoded packager tag
- 0.9.3 (and add more ath_rate modules)
- Import madwifi



* Mon Aug 14 2006 Arnaud Patard <apatard@mandriva.com> 0.9.2-1mdv2007
- 0.9.2

* Thu Sep  1 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.20050829-3mdk
- fix build on x86_64

* Tue Aug 30 2005 Arnaud Patard <apatard@mandriva.com> 0.20050829-2mdk
- Correct build dependencies

* Mon Aug 29 2005 Arnaud Patard <apatard@mandriva.com> 0.20050829-1mdk
- CVS update
- Removed ath_rate_* entries in dkms.conf as it doens't exist anymore
- Drop depends of dkms-madwifi on madwifi

* Fri Mar 11 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.20050121-2mdk
- make it build on x86_64

* Fri Jan 21 2005 Arnaud Patard <apatard@mandrakesoft.com> 0.20050121-1mdk
- Fresher cvs snapshot to get 2.6.10 support

* Mon Sep 13 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.13092004-1mdk
- dkms support.

* Thu Mar 11 2003 Nicolas Planel <nplanel@mandrakesoft.com> 0.20040309-1mdk
- First version.

# Local Variables:
# rpm-spec-insert-changelog-version-with-shell: t
# End:
